Package org.apache.qpid.proton.engine.impl

# Class TransportDelivery

java.lang.Object
org.apache.qpid.proton.engine.impl.TransportDelivery

public class TransportDelivery extends Object

## Method Summary

Modifier and Type
Method
Description
`UnsignedInteger`
`getDeliveryId()`
`org.apache.qpid.proton.engine.impl.TransportLink`
`getTransportLink()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDeliveryId

public UnsignedInteger getDeliveryId()

### getTransportLink

public org.apache.qpid.proton.engine.impl.TransportLink getTransportLink()